:#ps2gif script by Ian Hutchinson 1998; use at your own risk.
:#You need Ghostscript and the pbmplus utilities installed.
:#batchified by Christian Schenk <cs@miktex.de>
@echo off

if "%1" == "" goto usage
if "%2" == "" goto usage
if not "%4" == "" goto usage

initexmf --quiet --find-other-exe gswin32c
if errorlevel 1 goto nogswin32c

initexmf --quiet --find-other-exe pnmcrop
if errorlevel 1 goto nopnmcrop

initexmf --quiet --find-other-exe pnmmargin
if errorlevel 1 goto nopnmmargin

initexmf --quiet --find-other-exe ppmtogif
if errorlevel 1 goto noppmtogif

echo Calling ghostscript to convert, please wait ...

gswin32c -sDEVICE=ppmraw -sOutputFile=%TEMP%\ps2gif.tmp -sNOPAUSE -q %1 -c showpage -c quit

rem fixme: pnmmargin doesn't work yet
rem pnmcrop < %TEMP%\ps2gif.tmp | pnmmargin -white 10 | ppmtogif >%2
pnmcrop < %TEMP%\ps2gif.tmp | ppmtogif >%2
del %TEMP%\ps2gif.tmp

if "%3" == "" goto end

:# Make an icon file.
gswin32c -sDEVICE=ppmraw -sOutputFile=%TEMP%\ps2gif.tmp -sNOPAUSE -r12 -q %1 -c showpage -c quit
pnmcrop < %TEMP%\ps2gif.tmp | ppmtogif >%3

goto end

:usage
echo  Usage: ps2gif file.ps file.gif [icon.gif]
goto end

:nogswin32c
echo ps2gif: cannot find gswin32c.exe
goto end

:nopnmcrop
echo ps2gif: cannot find pnmcrop.exe
goto end

:nopnmmargin
echo ps2gif: cannot find pnmmargin.exe
goto end

:noppmtogif
echo ps2gif: cannot find ppmtogif.exe
goto end

:end
